Forum Francophone Home Assistant

Mémoire saturée?

Bonjour,

Très certainement suite à une erreur de programmation (automations en cours de développement), je me retrouve avec un arrêt d’acquisition (ou de rafraichissement) des données.
Je me retrouve avec un journal totalement plat depuis la modification d’une automation. (l’heure correspond sur le graphe). Pourtant, aucune alerte lorsque je teste la configuration.

Par contre dans les journaux, c’est la folie…

Dans le détail, je trouve plein d’infos, mais je ne sais pas trop vers o m’orrienter ni quoi charger ici pour obtenir de l’aide

Un exemple :

Logger: homeassistant.components.recorder
Source: components/recorder/init.py:516
Integration: Recorder (documentation, issues)
First occurred: 12:59:15 (3 occurrences)
Last logged: 13:29:06

* Error saving events: (sqlite3.DatabaseError) database disk image is malformed [SQL: INSERT INTO events (event_type, event_data, origin, time_fired, created, context_id, context_user_id, context_parent_id) VALUES (?, ?, ?, ?, ?, ?, ?, ?)] [parameters: ('call_service', '{"domain": "persistent_notification", "service": "dismiss", "service_data": {"notification_id": "config_entry_discovery"}}', 'LOCAL', '2021-01-10 11:59:14.108418', '2021-01-10 11:59:14.108418', '5ebb8ddb93d34531badf2eeab484db0b', None, None)] (Background on this error at: http://sqlalche.me/e/13/4xp6)
* Error saving events: (sqlite3.DatabaseError) database disk image is malformed [SQL: INSERT INTO events (event_type, event_data, origin, time_fired, created, context_id, context_user_id, context_parent_id) VALUES (?, ?, ?, ?, ?, ?, ?, ?)] [parameters: ('hacs/status', '{}', 'LOCAL', '2021-01-10 12:29:04.899854', '2021-01-10 12:29:04.899854', 'f9ef6d5be9f7afe66306a3b0a41d07c8', None, None)] (Background on this error at: http://sqlalche.me/e/13/4xp6)
* Error saving events: (sqlite3.DatabaseError) database disk image is malformed [SQL: INSERT INTO events (event_type, event_data, origin, time_fired, created, context_id, context_user_id, context_parent_id) VALUES (?, ?, ?, ?, ?, ?, ?, ?)] [parameters: ('hacs/status', '{}', 'LOCAL', '2021-01-10 12:29:05.131188', '2021-01-10 12:29:05.131188', '3d221122373805134460b26f4feb48de', None, None)] (Background on this error at: http://sqlalche.me/e/13/4xp6)

Traceback (most recent call last): File "/usr/local/lib/python3.8/site-packages/sqlalchemy/engine/base.py", line 1276, in _execute_context self.dialect.do_execute( File "/usr/local/lib/python3.8/site-packages/sqlalchemy/engine/default.py", line 593, in do_execute cursor.execute(statement, parameters) sqlite3.DatabaseError: database disk image is malformed The above exception was the direct cause of the following exception: Traceback (most recent call last): File "/usr/src/homeassistant/homeassistant/components/recorder/__init__.py", line 454, in _commit_event_session_or_retry self._commit_event_session() File "/usr/src/homeassistant/homeassistant/components/recorder/__init__.py", line 516, in _commit_event_session self.event_session.commit() File "/usr/local/lib/python3.8/site-packages/sqlalchemy/orm/session.py", line 1042, in commit self.transaction.commit() File "/usr/local/lib/python3.8/site-packages/sqlalchemy/orm/session.py", line 504, in commit self._prepare_impl() File "/usr/local/lib/python3.8/site-packages/sqlalchemy/orm/session.py", line 483, in _prepare_impl self.session.flush() File "/usr/local/lib/python3.8/site-packages/sqlalchemy/orm/session.py", line 2536, in flush self._flush(objects) File "/usr/local/lib/python3.8/site-packages/sqlalchemy/orm/session.py", line 2678, in _flush transaction.rollback(_capture_exception=True) File "/usr/local/lib/python3.8/site-packages/sqlalchemy/util/langhelpers.py", line 68, in __exit__ compat.raise_( File "/usr/local/lib/python3.8/site-packages/sqlalchemy/util/compat.py", line 182, in raise_ raise exception File "/usr/local/lib/python3.8/site-packages/sqlalchemy/orm/session.py", line 2638, in _flush flush_context.execute() File "/usr/local/lib/python3.8/site-packages/sqlalchemy/orm/unitofwork.py", line 422, in execute rec.execute(self) File "/usr/local/lib/python3.8/site-packages/sqlalchemy/orm/unitofwork.py", line 586, in execute persistence.save_obj( File "/usr/local/lib/python3.8/site-packages/sqlalchemy/orm/persistence.py", line 239, in save_obj _emit_insert_statements( File "/usr/local/lib/python3.8/site-packages/sqlalchemy/orm/persistence.py", line 1135, in _emit_insert_statements result = cached_connections[connection].execute( File "/usr/local/lib/python3.8/site-packages/sqlalchemy/engine/base.py", line 1011, in execute return meth(self, multiparams, params) File "/usr/local/lib/python3.8/site-packages/sqlalchemy/sql/elements.py", line 298, in _execute_on_connection return connection._execute_clauseelement(self, multiparams, params) File "/usr/local/lib/python3.8/site-packages/sqlalchemy/engine/base.py", line 1124, in _execute_clauseelement ret = self._execute_context( File "/usr/local/lib/python3.8/site-packages/sqlalchemy/engine/base.py", line 1316, in _execute_context self._handle_dbapi_exception( File "/usr/local/lib/python3.8/site-packages/sqlalchemy/engine/base.py", line 1510, in _handle_dbapi_exception util.raise_( File "/usr/local/lib/python3.8/site-packages/sqlalchemy/util/compat.py", line 182, in raise_ raise exception File "/usr/local/lib/python3.8/site-packages/sqlalchemy/engine/base.py", line 1276, in _execute_context self.dialect.do_execute( File "/usr/local/lib/python3.8/site-packages/sqlalchemy/engine/default.py", line 593, in do_execute cursor.execute(statement, parameters) sqlalchemy.exc.DatabaseError: (sqlite3.DatabaseError) database disk image is malformed [SQL: INSERT INTO events (event_type, event_data, origin, time_fired, created, context_id, context_user_id, context_parent_id) VALUES (?, ?, ?, ?, ?, ?, ?, ?)] [parameters: ('call_service', '{"domain": "persistent_notification", "service": "dismiss", "service_data": {"notification_id": "config_entry_discovery"}}', 'LOCAL', '2021-01-10 11:59:14.108418', '2021-01-10 11:59:14.108418', '5ebb8ddb93d34531badf2eeab484db0b', None, None)] (Background on this error at: http://sqlalche.me/e/13/4xp6)

J’ai tenté de rebooter, mais cela n’a rien changé

coucou ,
pourquoi la date de fin est 4 février 2021? j’ai essayer mais ca rame trop .

Ah oui ! Très bonne question. Autant je me vois de temps en temps changer la valeur de début à la veille pour relever des évolutions. Autant la date de fin je ne pense pas y avoir touché. Un bug ?

Sur les graphiques de suivi de température, j’avais une ligne droite depuis hier (le début du bug). mais les valeurs (en haut des graphes) étaient toujours rafraichies.

J’ai tenté de mettre à jour aux nouvelles releases, et là, c’est encore plus le bordel.

J’ai carrément perdu des onglets (historique, journal, …)

Qu’est-ce que je peux faire ?

Globalement, j’ai l’impression d’avoir eu un problème de fichier malformé (traduction perso approximative)
qui m’a fait penser au soucis que vous avez eu avec le recorder et la taille grossissante du fichier. Je ne m’en était pas soucié vu que je suis sur SSD avec une grosse capacité.

Bon, j’avance…
Le Recorder semblait HS
J’ai réussi à redémarrer le système en supprimant le fichier home-assistant_v2.db et en le remplaçant par un nouveau fichier vide.
Celui que j’ai supprimé faisait 161 420 Ko Trop pour ma config ?

Si c’est çà, et vu que mon SSD fait 240 Go, vous pouvez m’aider à changer le chemin de sauvegarde ? (trop peur de faire çà tout seul sans faire une connerie

Bonjour,

Peux tu partager ta configuration du RECORDER ?
On peut certainement jouer avec pour limiter les enregistrements.

Tu n’as pa changé de logiciels de base de données . Genre mariadb ?

Bonjour,

Oui, je peux. Mais comment on fait çà ?
Pour info, comme je débute, je n’ai touché à rien. C’est donc la config d’origine. (et c’est sans doute là un problème).

On pourrait effectivement réduire le nombre de données à enregistrer. J’ai laissé les données de la Livebox qui ne me servent à rien (débits). On pourrait les supprimer.

Non rien du tout. J’ignorais que çà existait avant d’avoir des problèmes…

Ma bdd fait 1,6 Go donc le soucis ne doit pas venir de là (RPI3)
Cela m’est arrivé également ce soucis de base corrompue, j’ai fait comme toi => Renommage de l’ancienne base en old puis reboot et le système recréée une bdd vierge.

Pas très propre mais je n’avais eu le temps d’investiguer le pourquoi du comment de la panne.

bonjour bubulle,
je reviens sur le sujet.
aujourd’hui ne me demander pas pourquoi j’ai voulu refaire mon rpi4 avec l’image 32 bit
et la grosse galère rien ne marchait.
j’ai donc relu le tuto pour le rpi4 sur sdd et la j’ai vue qu’il y avais pas mal de changement.
a savoir qu’il déconseil les versions:

WARNING: Do NOT use HA OS 5.4! There was an issue with that version that affected some but not all RPi4s. (See discussions below.) Also do NOT use HA OS version 5.6 to 5.8. These contained their own boot EEPROM update code that flashed a beta version into the EEPROM. This approach was removed in 5.9.

j’ai fini par réinstaller l’image pour rpi4 en 64 bit( la dernière).
et j’ai eut les mêmes avertissements que toi (sqlite3.error). j’ai supprimé le fichier home-assistant_v2.yaml
puis redémarrer.
ouf tout est ok. je post ce message car il me semble que tu as fait ta migration sur ssd à peut prés en même temps que moi.donc en 5.4 ou 5.5

1 J'aime

Merci pour vos retours. Je me sens moins seul :stuck_out_tongue_winking_eye:

J’ai effectivement dû passer par plusieurs versions, puisque je fais les upgrades dès qu’elles me sont proposées. Mais hier matin, au moment du crash, je devais déjà être à la 5.9 puisque j’ai autorisé le système à passer en 5.10 pendant la recherche de cause du plantage.
Voici les versions actuelles :

Comme vous pouvez voir, y’a d’la place !!!
(mais en moins de 20 h, le fichier est déjà à 16 Mo ! de données enregistrées)

C’est vrai que çà remet les choses en place. Plutôt un bug au mauvais moment qu’un dépassement de capacité.
Mais tout était bloqué. Même le passage en 5.10 s’est bloqué (par manque d’accès aux enregistrements je présume). Et dès que j’ai remplacé le fichier par un vide, tout est reparti. Aucun message d’erreur.

En fait tu n’as rien modifié du tout de ta configuration de base.

Regarde de ce côté là pour recorder,

Je te partagerai ma conf plus tard. Je n’y ai pas accès là.

C’est sur, que là tu te sens moins seul :wink:

Bon, je n’ai pas tout compris malgré plusieurs lectures de ton lien Pepite… (des exemples seraient effectivement bienvenus)
Mais le commentaire vu juste après ce message me laisse bien penser que ce n’est définitivement pas un problème de place.


Autre similitude étrange, c’est que le plantage est arrivé (presque ?) au même moment qu’une modification du fichier automation.
Et puis au rythme où le fichier se rempli, je verrai en moins de 10 jours si il sait dépasser les 16Mo du dernier plantage. Ou avant, avec la chance que j’ai :face_with_head_bandage:

1 J'aime